#ifndef FILEGRAPHUTILS_H
#define FILEGRAPHUTILS_H
#include <stdio.h>
#include <string.h>
#include "multigraph.h"

#define BIAS6 63
#define MAXBYTE 126
#define SMALLN 62
#define TOPBIT6 32
#define C6MASK 63

#define GRAPH6_HEADER ">>graph6<<"
#define SPARSE6_HEADER ">>sparse6<<"

#define GRAPH6         1
#define SPARSE6        2
#define UNKNOWN_TYPE 256
#define HAS_HEADER   512

int graphsize(char *s);
char * getGraphLine(FILE *f);
void stringToMultigraph(char *s, multigraph *g);
FILE* openFileGraph(char * filename);
void writeGraphLine(FILE *f,char * s);


#endif // FILEGRAPHUTILS_H
